%global __requires_exclude mvn\\(org\\.eclipse\\.core:resources\\)
Name:                maven-eclipse-plugin
Version:             2.9
Release:             1
Summary:             Maven Eclipse Plugin
License:             ASL 2.0
URL:                 http://maven.apache.org/plugins/maven-eclipse-plugin/
Source0:             https://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:              %{name}-compat.patch
Patch1:              %{name}-exception.patch
Patch2:              %{name}-ioexception.patch
BuildArch:           noarch
BuildRequires:       maven-local maven-enforcer-plugin maven-plugins-pom maven-test-tools
BuildRequires:       maven-plugin-testing-tools maven-osgi apache-commons-io xmlunit
BuildRequires:       eclipse-platform plexus-resources plexus-interactivity-jline bsf jaxen jdom
BuildRequires:       dom4j xom saxpath
%description
The Eclipse Plugin is used to generate Eclipse IDE files (.project, .classpath
and the .settings folder) from a POM.

%package javadoc
Summary:             Javadoc for %{name}
%description javadoc
API documentation for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
sed -i -e "s|3.3.0-v20070604|3.7.100.v20110510-0712|g" pom.xml
sed -i 's/aQute\.lib\.osgi/aQute.bnd.osgi/g' src/main/java/org/apache/maven/plugin/eclipse/EclipseToMavenMojo.java
%pom_remove_dep easymock:

%build
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
CORE_FAKE_VERSION="3.7.100.v20110510-0712"
CORE_PLUGIN_DIR=$MAVEN_REPO_LOCAL/org/eclipse/core/resources/$CORE_FAKE_VERSION
mkdir -p $CORE_PLUGIN_DIR
plugin_file=`ls /usr/lib{,64}/eclipse/plugins/org.eclipse.core.resources_*jar || :`
ln -s "$plugin_file" $CORE_PLUGIN_DIR/resources-$CORE_FAKE_VERSION.jar
%pom_xpath_inject "pom:dependencies/pom:dependency[pom:groupId[text()='org.eclipse.core']]" "<scope>provided</scope>"
%mvn_build -- -Dmaven.test.skip=true -Dmaven.repo.local=$MAVEN_REPO_LOCAL

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES README-testing.txt

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE

%changelog
* Sat Aug 22 2020 Jeffery.Gao <gaojianxing@huawei.com> - 2.9-1
- Package init
